Package org.eclipse.emf.cdo.common.revision

# Interface CDORevisionCache.AdditionEvent

All Superinterfaces:
  `org.eclipse.net4j.util.event.IEvent`

Enclosing interface:
  CDORevisionCache

public static interface CDORevisionCache.AdditionEvent extends org.eclipse.net4j.util.event.IEvent
An `event` fired from a `revision cache` when a `revision` is added to it.

Since:
  4.15
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`CDORevision`
`getRevision()`
`CDORevisionCache`
`getSource()`

## Method Details

### getSource

CDORevisionCache getSource()

Specified by:
  `getSource` in interface `org.eclipse.net4j.util.event.IEvent`

### getRevision

CDORevision getRevision()